// ------------------------------
// Filename      : rng.h
// Author        : Sven Maerivoet
// Last modified : 05/05/2001
// Target        : C++ (OpenGL)
//
// All rights reserved.
// ------------------------------

#ifndef SM_RNG_H // include-guard
#define SM_RNG_H

// useful type defintion
typedef unsigned long uint32;

class RNG {
  public:
    // constructor
    RNG(void);

    // destructor
    ~RNG(void);

    // methods
    static void setSeed(uint32 seed);
    static void setSeedWithTime(void);
    static int uniformInt(void);
    static double uniform(void);

  private:
    // data-members
    static double fX[5];
};

#endif
