rem raytracer <sdl-file> <window-width> <window-height> <block-size>
rem           <nr-of-cone-samples> <shadow-computation-mode> <shadow-feeler-jitter-strength>
rem           <anti-alias-mode> <jitter-strength>
rem           <normalize-colors> <normalize-brightness> <outputfile-prefix>

rem 0 (no shadows)
rem 1 (hard shadows)
rem 2 (soft shadows)

rem 0 (no anti-aliasing)
rem 1 (5 rays supersampled)
rem 2 (9 rays supersampled)
rem 3 (5 rays stochastically sampled)
rem 4 (9 rays stochastically sampled)

rem       SDL-FILE                                    XSIZE YSIZE BS #CS SCM SFJS AAM JS  NC NB  OUTPUT-PREFIX
raytracer data/sdl/abalone.sdl                        1024  768   1  30  1   0.05 3   0.1 1  1.1 output/abalone
raytracer data/sdl/algebraic-surfaces.sdl             1024  768   1  30  1   0.05 3   0.1 1  1.1 output/algebraic-surfaces
raytracer data/sdl/ash-tray.sdl                       1024  768   1  30  1   0.05 3   0.1 1  1.1 output/ash-tray
raytracer data/sdl/chess.sdl                          1024  768   1  30  0   0.05 3   0.1 1  1.1 output/chess
raytracer data/sdl/chrome-spheres.sdl                 1024  768   1  30  1   0.05 3   0.1 1  1.1 output/chrome-spheres-1
raytracer data/sdl/chrome-spheres.sdl                 1024  768   1  30  2   0.05 3   0.1 1  1.1 output/chrome-spheres-2
raytracer data/sdl/color-ballet.sdl                   1024  768   1  30  1   0.05 3   0.1 1  1.1 output/color-ballet
raytracer data/sdl/cow.sdl                            1024  768   1  30  0   0.05 3   0.1 1  1.1 output/cow
raytracer data/sdl/dish-rough-0-0.sdl                 1024  768   1  30  1   0.05 3   0.1 1  1.1 output/dish-rough-0-0
raytracer data/sdl/dish-rough-0-1.sdl                 1024  768   1  30  1   0.05 3   0.1 1  1.1 output/dish-rough-0-1
raytracer data/sdl/dish-rough-0-2.sdl                 1024  768   1  30  1   0.05 3   0.1 1  1.1 output/dish-rough-0-2
raytracer data/sdl/dish-rough-0-3.sdl                 1024  768   1  30  1   0.05 3   0.1 1  1.1 output/dish-rough-0-3
raytracer data/sdl/dish-rough-0-4.sdl                 1024  768   1  30  1   0.05 3   0.1 1  1.1 output/dish-rough-0-4
raytracer data/sdl/dish-rough-0-5.sdl                 1024  768   1  30  1   0.05 3   0.1 1  1.1 output/dish-rough-0-5
raytracer data/sdl/dna.sdl                            1024  768   1  30  0   0.05 3   0.1 1  1.1 output/dna
raytracer data/sdl/fishbowl.sdl                       1024  768   1  30  1   0.05 3   0.1 1  1.1 output/fishbowl
raytracer data/sdl/fractal-spheres.sdl                1024  768   1  30  0   0.05 3   0.1 1  1.1 output/fractal-spheres
raytracer data/sdl/glass.sdl                          1024  768   1  30  1   0.05 3   0.1 1  1.1 output/glass
raytracer data/sdl/glass-on-table.sdl                 1024  768   1  30  1   0.05 3   0.1 1  1.1 output/glass-on-table
raytracer data/sdl/glass-spheres-1.sdl                1024  768   1  30  1   0.05 3   0.1 1  1.1 output/glass-spheres-1
raytracer data/sdl/glass-spheres-2.sdl                1024  768   1  30  1   0.05 3   0.1 1  1.1 output/glass-spheres-2
raytracer data/sdl/gloss-0-0.sdl                      1024  768   1  30  1   0.05 3   0.1 1  1.1 output/gloss-0-0
raytracer data/sdl/gloss-0-1.sdl                      1024  768   1  30  1   0.05 3   0.1 1  1.1 output/gloss-0-1
raytracer data/sdl/gloss-0-2.sdl                      1024  768   1  30  1   0.05 3   0.1 1  1.1 output/gloss-0-2
raytracer data/sdl/gloss-0-4.sdl                      1024  768   1  30  1   0.05 3   0.1 1  1.1 output/gloss-0-4
raytracer data/sdl/gloss-0-6.sdl                      1024  768   1  30  1   0.05 3   0.1 1  1.1 output/gloss-0-6
raytracer data/sdl/hill-first-scene.sdl               1024  768   1  30  1   0.05 3   0.1 1  1.1 output/hill-first-scene
raytracer data/sdl/hill-textured-scene.sdl            1024  768   1  30  1   0.05 3   0.1 1  1.1 output/hill-textured-scene
raytracer data/sdl/hollow-buckyball.sdl               1024  768   1  30  1   0.05 3   0.1 1  1.1 output/hollow-buckyball
raytracer data/sdl/lavalamp.sdl                       1024  768   1  30  0   0.05 3   0.1 1  1.1 output/lavalamp
raytracer data/sdl/marble-dish.sdl                    1024  768   1  30  1   0.05 3   0.1 1  1.1 output/marble-dish
raytracer data/sdl/math-world.sdl                     1024  768   1  30  1   0.05 3   0.1 1  1.1 output/math-world
raytracer data/sdl/meshes.sdl                         1024  768   1  30  0   0.05 3   0.1 1  1.1 output/meshes
raytracer data/sdl/meshes-phong.sdl                   1024  768   1  30  1   0.05 3   0.1 1  1.1 output/meshes-phong
raytracer data/sdl/mirrors.sdl                        1024  768   1  30  0   0.05 0   0.1 1  1.1 output/mirrors
raytracer data/sdl/normals.sdl                        1024  768   1  30  0   0.05 0   0.1 0  1.1 output/normals
raytracer data/sdl/pig.sdl                            1024  768   1  30  0   0.05 3   0.1 1  1.1 output/pig
raytracer data/sdl/pool-0.sdl                         1024  768   1  30  1   0.05 3   0.1 1  1.1 output/pool-0
raytracer data/sdl/pool-2.sdl                         1024  768   1  30  1   0.05 3   0.1 1  1.1 output/pool-2
raytracer data/sdl/pool-8a.sdl                        1024  768   1  30  1   0.05 3   0.1 1  1.1 output/pool-8a
raytracer data/sdl/pool-8b.sdl                        1024  768   1  30  1   0.05 3   0.1 1  1.1 output/pool-8b
raytracer data/sdl/pool-16.sdl                        1024  768   1  30  1   0.05 3   0.1 1  1.1 output/pool-16
raytracer data/sdl/quadric-1.sdl                      1024  768   1  30  1   0.05 3   0.1 1  1.1 output/quadric-1
raytracer data/sdl/quadric-2.sdl                      1024  768   1  30  1   0.05 3   0.1 1  1.1 output/quadric-2
raytracer data/sdl/quadric-3.sdl                      1024  768   1  30  1   0.05 3   0.1 1  1.1 output/quadric-3
raytracer data/sdl/quadric-4.sdl                      1024  768   1  30  1   0.05 3   0.1 1  1.1 output/quadric-4
raytracer data/sdl/quadric-5.sdl                      1024  768   1  30  1   0.05 3   0.1 1  1.1 output/quadric-5
raytracer data/sdl/quadric-6.sdl                      1024  768   1  30  1   0.05 3   0.1 1  1.1 output/quadric-6
raytracer data/sdl/shadows.sdl                        1024  768   1  30  0   0.05 3   0.1 1  1.1 output/shadows-1
raytracer data/sdl/shadows.sdl                        1024  768   1  30  1   0.05 3   0.1 1  1.1 output/shadows-2
raytracer data/sdl/shadows.sdl                        1024  768   1  30  2   0.05 3   0.1 1  1.1 output/shadows-3
raytracer data/sdl/skeleton.sdl                       1024  768   1  30  0   0.05 0   0.1 1  1.1 output/skeleton
raytracer data/sdl/sphere.sdl                         1024  768   1  30  1   0.05 3   0.1 1  1.1 output/sphere
raytracer data/sdl/spheres.sdl                        1024  768   1  30  1   0.05 3   0.1 1  1.1 output/spheres
raytracer data/sdl/tearoom.sdl                        1024  768   1  30  1   0.05 3   0.1 0  1.1 output/tearoom
raytracer data/sdl/torloid.sdl                        1024  768   1  30  1   0.05 3   0.1 1  1.1 output/torloid
raytracer data/sdl/transparent-algebraic-surfaces.sdl 1024  768   1  30  1   0.05 3   0.1 1  1.1 output/transparent-algebraic-surfaces
raytracer data/sdl/transparent-cubes.sdl              1024  768   1  30  1   0.05 3   0.1 1  1.1 output/transparent-cubes
raytracer data/sdl/transparent-landscape.sdl          1024  768   1  30  0   0.05 3   0.1 1  1.1 output/transparent-landscape
raytracer data/sdl/transparent-sphere.sdl             1024  768   1  30  1   0.05 3   0.1 1  1.1 output/transparent-sphere
raytracer data/sdl/transparent-torus.sdl              1024  768   1  30  1   0.05 3   0.1 1  1.1 output/transparent-torus
raytracer data/sdl/tron.sdl                           1024  768   1  30  1   0.05 3   0.1 1  1.1 output/tron
raytracer data/sdl/tux.sdl                            1024  768   1  30  1   0.05 3   0.1 1  1.1 output/tux
raytracer data/sdl/watch-parts.sdl                    1024  768   1  30  1   0.05 3   0.1 1  1.1 output/watch-parts
raytracer data/sdl/woman.sdl                          1024  768   1  30  0   0.05 3   0.1 1  1.1 output/woman
raytracer data/sdl/world-textures.sdl                 1024  768   1  30  1   0.05 3   0.1 1  1.1 output/world-textures
raytracer data/sdl/x-wing.sdl                         1024  768   1  30  0   0.05 3   0.1 1  1.1 output/x-wing
raytracer data/sdl/zeppelin.sdl                       1024  768   1  30  0   0.05 3   0.1 1  1.1 output/zeppelin
